Package: org.grails.web.converters

## [Java] Interface Converter<W>

- Defines an Object that can convert an instance and render it to the response or a supplied writer.

  Authors:
    Siegfried Puchbauer

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `enum` | `Converter.CircularReferenceBehaviour` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `DEFAULT_REQUEST_ENCODING` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `build(groovy.lang.Closure c)`
    `` | `void` | `convertAnother(java.lang.Object o)`
    `` | `W` | `getWriter()`
    `` | `ObjectMarshaller<? extends Converter>` | `lookupObjectMarshaller(java.lang.Object target)`
    `` | `void` | `render(java.io.Writer out)` Marshalls the target and writes it to a java.io.Writer
    `` | `void` | `render(javax.servlet.http.HttpServletResponse response)` Marshalls the target and writes it a HttpServletResponse The response will be comitted after this operation

- - ### Field Detail

    - #### public java.lang.String DEFAULT_REQUEST_ENCODING

  - ### Method Detail

    - #### public void build(@java.lang.SuppressWarnings("rawtypes") groovy.lang.Closure c)

    - #### public void convertAnother(java.lang.Object o)

    - #### public W getWriter()

    - #### @java.lang.SuppressWarnings("rawtypes") public ObjectMarshaller<? extends Converter> lookupObjectMarshaller(java.lang.Object target)

    - #### public void render(java.io.Writer out)

      Marshalls the target and writes it to a java.io.Writer

      throws:
        ConverterException
      Parameters:
        `out` - The Writer to write to

    - #### public void render(javax.servlet.http.HttpServletResponse response)

      Marshalls the target and writes it a HttpServletResponse The response will be comitted after this operation

      throws:
        ConverterException
      Parameters:
        `response` - The response to write to